Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class ListDomainsResult

    java.lang.Object
      com.amazonaws.services.simpledb.model.ListDomainsResult

    public class ListDomainsResult

extends Object

List Domains Result

Constructor Summary
`ListDomainsResult()`

Method Summary
`List<String>` | `getDomainNames()` A list of domain names that match the expression.
`String` | `getNextToken()` An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.
`void` | `setDomainNames(Collection<String> domainNames)` A list of domain names that match the expression.
`void` | `setNextToken(String nextToken)` An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListDomainsResult` | `withDomainNames(Collection<String> domainNames)` A list of domain names that match the expression.
`ListDomainsResult` | `withDomainNames(String... domainNames)` A list of domain names that match the expression.
`ListDomainsResult` | `withNextToken(String nextToken)` An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListDomainsResult

    public ListDomainsResult()

Method Detail

### getDomainNames

    public List<String> getDomainNames()

  A list of domain names that match the expression.

  Returns:
    A list of domain names that match the expression.

### setDomainNames

    public void setDomainNames(Collection<String> domainNames)

  A list of domain names that match the expression.

  Parameters:
    `domainNames` - A list of domain names that match the expression.

### withDomainNames

    public ListDomainsResult withDomainNames(String... domainNames)

  A list of domain names that match the expression.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `domainNames` - A list of domain names that match the expression.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDomainNames

    public ListDomainsResult withDomainNames(Collection<String> domainNames)

  A list of domain names that match the expression.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `domainNames` - A list of domain names that match the expression.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.

  Returns:
    An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.

### setNextToken

    public void setNextToken(String nextToken)

  An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.

  Parameters:
    `nextToken` - An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.

### withNextToken

    public ListDomainsResult withNextToken(String nextToken)

  An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `nextToken` - An opaque token indicating that there are more domains than the specified `MaxNumberOfDomains` still available.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.